#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global eclipse_base %{_libdir}/eclipse
# We want the version to match that shipped in Eclipse's Orbit project
%global qualifier 20100429

Name:           sat4j
Version:        2.3.0
Release:        %mkrel 3
Summary:        A library of SAT solvers written in Java

License:        EPL or LGPLv2
Url:            http://www.sat4j.org/
Group:          Development/Java 
# Created by sh %{name}-fetch.sh
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-fetch.sh
Patch0:         %{name}-classpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ant
BuildRequires:  java-rpmbuild
BuildRequires:  ecj
BuildRequires:  java-devel >= 0:1.6.0
Requires:       java >= 0:1.6.0
Requires:       jpackage-utils

BuildArch:      noarch

%description
The aim of the SAT4J library is to provide an efficient library of SAT
solvers in Java. The SAT4J library targets first users of SAT "black
boxes", those willing to embed SAT technologies into their application
without worrying about the details.

%prep
%setup -q
%patch0

# Only used for the tests
rm lib/commons-cli.jar

%build
ant -Dbuild.compiler=modern -Drelease=%{version} -DBUILD_DATE=%{qualifier} -Dtarget=1.5 p2

%install
install -d -m 755 %{buildroot}%{_javadir}
cp -rp dist/%{version}/org.sat4j.core.jar \
 %{buildroot}%{_javadir}
cp -rp dist/%{version}/org.sat4j.pb.jar \
 %{buildroot}%{_javadir}


%files
%defattr(0644,root,root,0755)
# No %%doc files as the about.html is in the jar
%{_javadir}/org.sat4j*




%changelog

* Wed Dec 21 2011 dmorgan <dmorgan> 2.3.0-3.mga2
+ Revision: 185132
- Make 1.5-level bytecode
  This enables bootstrapping of Eclipse with OpenJDK 7.

* Wed Nov 16 2011 dmorgan <dmorgan> 2.3.0-2.mga2
+ Revision: 168039
- Remove dupplicate %%changelog entry ( mga #3356)

* Tue Jul 19 2011 dmorgan <dmorgan> 2.3.0-1.mga2
+ Revision: 126053
- New version 2.3.0
- Add back version 2.2.0

* Fri Mar 04 2011 dmorgan <dmorgan> 2.0.3-4.mga1
+ Revision: 63854
- Revert to an older version to be able to build eclipse

* Tue Feb 01 2011 dmorgan <dmorgan> 2.2.0-4.mga1
+ Revision: 45900
- Adapt for mageia
- imported package sat4j


* Sat Jan 29 2011 sshaw@decriptor.com
- Updated package based on sat4j-2.2.0-1.fc14.src.rpm
